"""A setuptools-based setup module.
"""

import re
from codecs import open
import os
from setuptools import setup
from subprocess import check_output, CalledProcessError
import sys
from pdb import set_trace

import setuptools
import packaging
from importlib.metadata import version
print(f"Version of setuptools: {version('setuptools')} : {setuptools.__file__}")
print(f"Version of packaging: {version('packaging')} : {packaging.__file__}\n")

# Get package version
version = os.getenv('BUILD_PACKAGE_VERSION')
if version:
    version = version.replace('-', '.', 1)  # Change x.y-z to x.y.z
    clear_build_version = False
else:
    try:
        command = './package/get_package_version.sh'
        version = check_output(command.split()).decode('utf-8').strip()
    except CalledProcessError:
        version = '0.0.0'


# Write the version.py file
with open(os.path.join('ncr', 'version.py'), 'w') as f:
    f.write("# This file is autogenerated at build time.\n")
    f.write("# It should not be committed to the repository.\n")
    f.write(f'__version__ = "{version}"')

setup(
    version=version,
)
